@import './nav.css';

#ctx {
    width: 100%;
    min-height: 100%;
}

svg {
    /* 颜色继承 */
    fill: currentColor;
}

.add-module-btn,
.preview-module-btn {
    width: 112px;
    height: 30px;
    background-color: inherit;
    /* color: #1689FA;
    border: 1px solid #1689FA; */
    border-radius: 3px;
    margin-right: 10px;
}

.add-module-btn img,
.preview-module-btn img {
    position: relative;
    top: -1px;
}

.w16 {
    width: 16px;
}

/* 占位盒子 */
.placehold-box {
    width: 100%;
    height: auto;
    min-height: 60px;
    border: 1px dashed #A0CBCE;
    position: relative;
    margin: 10px auto;
}

.dropable {
    border: 1px dotted #eee;
}

/* 保存 */
.save-template {
    width: auto;
    height: auto;
    position: fixed;
    top: 15px;
    right: 15px;
}

.save-template .save-btn {
    width: 82px;
    height: 32px;
    border-radius: 3px;
    border: 1px solid #23A7AF;
    color: #fff;
    background-color: #23A7AF;
    margin: 0 10px;
}

.save-template .preview-btn {
    width: 82px;
    height: 32px;
    border-radius: 3px;
    border: 1px solid #23A7AF;
    color: #23A7AF;
    background-color: #fff;
    margin: 0 10px;
}

.a-content {
    font-size: 16px;
}

/* 详情模板版心宽度 */
.gridster>.grid-container {
    /* width: 1320px */
}

/* 其他模板版心宽度 */
.view-html>.gridster {
    /* width: 1200px; */
    width: 72.9%;
    max-width: 1600px;
    min-width: 1200px;
}

@media screen and (min-width: 1000px) {
    .view-html > .gridster {
      width: 72.9% !important;

    }

    #acticleContent .a-content img {
        max-width: 100%;
        width: 100% !important;
        height: unset !important;
    }
  }

/* 在1980px以上的页面宽度 */
/* @media (min-width: 1980px) {
    .view-html > .gridster {
      width: 1600px;
    }
  } */
  
  /* 在1980px以下的页面宽度 */
  /* @media (max-width: 1980px) {
    .view-html > .gridster {
      width: 1200px;
    }
  } */

.gridster>ul {
    /* width: 1320px; */
    /* display: none; */
}

#gridsterModule0>ul {
    width: 1200px;
}

li:has(#gridsterModule0) {
    left: calc(-50vw + 660px);
}


/* 提示框样式 */
.prompt {
    background-color: #f0f9eb;
    border: 1px solid #e4f4dc;
    color: #67c23a;
    border-radius: 7px;
    width: 450px;
    height: 60px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 0 0px 0 30px;
    /* text-align: center; */
    position: fixed;
    top: 10%;
    left: 50%;
    z-index: 199;
    font-size: 14px;
    transform: translate(-50%, -50%);
}

.prompt div {
    width: 81%;
}

.prompt button {
    width: 112px;
    height: 30px;
    background-color: inherit;
    border-radius: 3px;
    margin-right: 10px;
}


/* 页面底部跟banner样式 */
.copyright-bac {
    width: 100%;
    height: 552px;
    /* display: none; */
    position: relative;
    /* background: #012964 !important;  */
}

/* @media (max-width: 992px) {
    .copyright-bac {
   
    }

    .view-html .swiper_component .swiper-slide .swiper_title{
        margin: 0 auto;
        width: 100%;
        max-width: 100%;
        min-width: 300px;
    }
    .view-html .swiper_component .swiper-slide .swiper_title .mbSwiperTitle{

        aspect-ratio: 234/66;
        height: 35%;
        padding-left: 0px;
    } 
    .view-html .swiper_component .swiper-slide .swiper_title .mbSwiperTitle.line_2{
        height: 35%;
    }
    .view-html .swiper_component .swiper-slide .swiper_title .mbSwiperTitle.line_3{
        height: 49%;
    }
    .view-html .swiper_component .swiper_title svg{
        width: 100%;
        height: 100%;
    }

    .view-html .swiper_component .swiper-slide .button {
        display: none !important;
        color: #fff;
        width: 100px;
        height: 35px;
        font-size: 15px;
        border-radius: 3px;
        background: #236DFE;
        line-height: 35px;
        margin-top: 15px;
        text-align: center;
        cursor: pointer;
        margin-left: 10px;
    }
}
@media (min-width: 993px) {
    .m-service{
        display: none;
    }
} */

.banner-bac {
    width: 100%;
    height: 600px;
    display: none;
    position: relative;
    
}

/* loading 样式 */
#loading-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #ffffff;
    z-index: 99999;
}

/* @media (max-width: 992px) {
    #loading-container {
        display: none;
    }

    .r-wrapper{
        display: none;
    }
    .r-wrapper{
        display: none;
    }
    .acticle_hot_label {
        display: none;
    }

    .header-phone{
        margin-top: -60px;
    }

    .layout-lm .a-content{
        width: 100%;
    }
}

.spinner {
    margin: 60px auto;
    width: 50px;
    height: 50px;
    border-top: 3px solid rgba(0, 0, 0, 0.2);
    border-right: 3px solid rgba(0, 0, 0, 0.2);
    border-bottom: 3px solid rgba(0, 0, 0, 0.2);
    border-left: 3px solid #000000;
    border-radius: 50%;
    animation: spin 1s infinite linear;
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
} */

.view-html .swiper_component .swiper_title{
    justify-content: center;
    height: 80%;
    width: 72.9%;
    max-width: 1600px;
    min-width: 1200px;
}

.view-html .footer_item{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 250px;
}
.view-html .footer_item .item{
    display: flex;
    align-items: flex-end;
    width: 20%;
    justify-content: center;
}
.view-html .footer_item .item .item_left{
   margin-right: 20px;
   width: 52px;
}
.view-html .footer_item .item .item_right{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    font-size: 24px;
    color: #424242;
}
.view-html .footer_item .item .item_right span{
    color: #808080;
    font-size: 14px;
}

/* 轮播补充样式 */

.view-html .swiper_khal .swiper-slide a {
    width: auto;
    height: 100%;
    padding: 0px 10px;
    display: block;
}
.view-html .swiper_khal .swiper-slide a .swiper-slide-img {
    width: auto;
    max-width: 100%;
    height: 100%;
}
.view-html .swiper_khal .swiper-slide {
    width: 240px !important;
    
    /* max-width: 100%; */
    height: 110px !important;
    aspect-ratio: 220 / 111;
}
@media(max-width:992px){
    .view-html .footer_item{
        width: calc(100% - 32px);
        display: flex;
        justify-content: space-between;
        align-items: center;
        height: auto;
        flex-direction: column;
        background: #FFFFFF;
        box-shadow: 0px 4px 10px 0px #ECF0FC;
        border-radius: 2px;
        margin: 0 auto;
        margin-top: 40px;
        margin-bottom: 40px;
    }
    .view-html .footer_item .item{
        display: flex;
        align-items: center;
        width: 100%;
        justify-content: start;
        height: 70px;
    }
    .view-html .footer_item .item .item_left{
        margin-right: 0px;
        width: 72px;
        display: flex;
        align-items: center;
        justify-content: center;
        height: 100%;
    }
    .view-html .footer_item .item .item_left img{
        width: 40px;
    }
    .view-html .footer_item .item .item_right{
        display: flex;
        flex-direction: column;
        align-items: start;
        font-size: 14px;
        color: #424242;
        line-height: 20px;
        height: 100%;
        width: calc(100% - 72px);
        justify-content: center;
        font-weight: bold;
    }
    .view-html .footer_item .item .item_right span{
        color: #808080;
        font-size: 13px;
        line-height: 22px;
        font-weight: normal;
    }
}